Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.server.automaton
Class AutomatonReturnQueueSelective

    java.lang.Object
      gecco.server.automaton.AutomatonReturn
          gecco.server.automaton.AutomatonReturnQueueSelective

public class AutomatonReturnQueueSelective
extends AutomatonReturn

This class represents a return from an automaton update call, that indicates that certain neighbours of the automaton should be inserted into the queue.

Author:
  Henrik Bäärnhielm, Karl Hasselström, Henrik Hägerström

Field Summary

Fields inherited from class gecco.server.automaton.AutomatonReturn
`event, neighboursTimeToExecution, selfTimeToExecution`

Constructor Summary
`AutomatonReturnQueueSelective(double[][] timeToExecutionsArray)` Constructor for the AutomatonReturnQueueSelective object
`AutomatonReturnQueueSelective(double[][] timeToExecutionsArray, UnitEvent unitEvent)` Constructor for the AutomatonReturnQueueSelective object

Method Summary
`double[][]` | `getTimeToExecutions()` Gets the TimeToExecutions attribute of the AutomatonReturnQueueSelective object

Methods inherited from class gecco.server.automaton.AutomatonReturn
`getNeighboursTimeToExecution, getSelfTimeToExecution, getUnitEvent, setUnitEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutomatonReturnQueueSelective

    public AutomatonReturnQueueSelective(double[][] timeToExecutionsArray)

  Constructor for the AutomatonReturnQueueSelective object

Parameters:
  `timeToExecutionsArray` - The 3x3 array with the times for each neighbour (including the automaton itself).

### AutomatonReturnQueueSelective

    public AutomatonReturnQueueSelective(double[][] timeToExecutionsArray,
                                         UnitEvent unitEvent)

  Constructor for the AutomatonReturnQueueSelective object

Parameters:
  `timeToExecutionsArray` - The 3x3 array with the times for each neighbour (including the automaton itself).
  `unitEvent` - A unit event for any units on the automaton.

Method Detail

### getTimeToExecutions

    public double[][] getTimeToExecutions()

  Gets the TimeToExecutions attribute of the AutomatonReturnQueueSelective object

  Returns:
    The TimeToExecutions value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD